Bug 870393 - Ticket Monster: Forge installation guide for Adminstration section generation is not sufficient
Ticket Monster: Forge installation guide for Adminstration section generation...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TicketMonster (Show other bugs)
2.1.0
Unspecified Unspecified
medium Severity high
: CR2
: 2.1.0
Assigned To: Marius Bogoevici
Tomas Repel
ticket-monster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 07:18 EDT by Tomas Repel
Modified: 2013-02-01 10:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:34:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Repel 2012-10-26 07:18:27 EDT
Ticket Monster example does not provide enough information on how to install forge and generate Administration section. There are two places where the description can be found currently:

- demo/README.md

- demo/src/main/webapp/admin/index.html

The information about what version of Forge has to be used (1.0.5.Final ?) and what plugins have to be installed (Richfaces) is missing.

There is another online guide accessible on http://www.jboss.org/jdf/examples/ticket-monster/tutorial/AdminJSF/ which is more detailed. These three guides should be in sync (at least partially) I suppose.
Comment 1 Marek Novotny 2012-11-08 07:31:49 EST
it seems that Marius did a change upstream https://github.com/jboss-jdf/ticket-monster/commit/65cba5db1c6f7c9eb8d75661cf923b425364ddc0
Comment 2 Tomas Repel 2012-11-09 09:32:52 EST
The file demo/src/main/webapp/admin/index.html is still not in sync with the demo/README.md
Comment 3 Marius Bogoevici 2012-11-11 20:18:15 EST
Fixed in 2.0.5.Final
Comment 6 Tomas Repel 2012-11-15 11:24:47 EST
Verified in WFK 2.1.0.CR2.
Comment 7 Karel Piwko 2012-11-30 10:34:05 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.